Package org.eclipse.lemminx.extensions.relaxng.jing.toremove

## Class MyCombineSchema

- java.lang.Object
- - com.thaiopensource.validate.AbstractSchema
  - - com.thaiopensource.validate.CombineSchema
    - - org.eclipse.lemminx.extensions.relaxng.jing.toremove.MyCombineSchema

All Implemented Interfaces:
  `com.thaiopensource.validate.Schema`

    public class MyCombineSchema
    extends com.thaiopensource.validate.CombineSchema

This class is a copy of `CombineSchema` adapted for LemMinx. This class could be removed once issues

- https://github.com/relaxng/jing-trang/pull/273
- https://github.com/relaxng/jing-trang/issues/275

will be fixed.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`MyCombineSchema​(com.thaiopensource.validate.Schema schema1, com.thaiopensource.validate.Schema schema2, com.thaiopensource.util.PropertyMap properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.thaiopensource.validate.Schema` `getSchema1()`
`com.thaiopensource.validate.Schema` `getSchema2()`

### Methods inherited from class com.thaiopensource.validate.CombineSchema

`createValidator`

### Methods inherited from class com.thaiopensource.validate.AbstractSchema

`filterProperties, getProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MyCombineSchema

    public MyCombineSchema​(com.thaiopensource.validate.Schema schema1,
                           com.thaiopensource.validate.Schema schema2,
                           com.thaiopensource.util.PropertyMap properties)

### Method Detail

#### getSchema1

    public com.thaiopensource.validate.Schema getSchema1()

#### getSchema2

    public com.thaiopensource.validate.Schema getSchema2()